@echo off     
if "%1" == "" goto explain
if "%1" == "?" goto explain
goto install
:explain     
cls
echo OPERATION OF TCNSTALL.BAT
echo.
echo This batch file installs files needed to run the Windows Version of the
echo TCN program.
echo.
echo Since you specified either no options or the ? option, no installation
echo will be performed this time.  Instead, information is displayed.
echo.
echo When you have learned how to use this batch file, you can try again with
echo the appropriate option to install the TCN program.
echo.
pause
cls
echo TCNSTALL.BAT vs SETUP.EXE
echo.
echo.
echo FYI, TCNSTALL places: 
echo.
echo     TCNSETUP.EXE,
echo     VER.DLL, SETUPKIT.DLL, VBRUN300.DLL, and
echo     the TCN program files 
echo.
echo in the same target directory.  
echo.
echo.
echo This is as opposed to SETUP.EXE which puts 
echo.
echo     TCNSETUP.EXE in the WINDOWS directory, 
echo     VER.DLL, SETUPKIT.DLL, VBRUN300.DLL in the WINDOWS\SYSTEM directory, and 
echo     the TCN program files in the install directory you specify.
echo.
pause
cls
echo MANUAL COMMANDS FOR DISKETTE COPIES
echo.
echo.
echo NOTE:  The following procedure uses C:\USA as the target directory.  You
echo        can use any valid drive and path where sufficient disk room (2.0
echo        megs) is available.
echo.
echo You can accomplish the same thing that TCNSTALL.BAT does by using the 
echo following commands entered at the DOS prompt:
echo.
echo EXPAND VBRUN300.DL_ C:\USA\VBRUN300.DLL       (press ENTER)
echo EXPAND SETUPKIT.DL_ C:\USA\SETUPKIT.DLL       (press ENTER)
echo EXPAND TCNSETUP.EX_ C:\USA\TCNSETUP.EXE       (press ENTER)
echo RENAME TCN34WIN.EX_ TCN34WIN.EXE              (press ENTER)
echo TCN34WIN C:\USA                               (press ENTER)
echo RENAME TCN34WIN.EXE TCN34WIN.EX_              (press ENTER)
echo COPY VER.DL_ C:\USA\VER.DLL                   (press ENTER)
echo.
echo NOTE:  The preceding commands assume that the current drive and directory 
echo        is where the source files are located.
echo.
pause
cls
echo MANUAL COMMANDS FOR BBS DOWNLOADS
echo.
echo If you download a copy of the TCN program, three file names are likely to
echo be different:
echo.
echo VER.DL_ should be VER.DLL
echo.
echo SETUPKIT.DL_ should be SETUPKIT.DLL
echo.
echo VBRUN300.DL_ can be VBRUN300.ZIP or almost anything.
echo.
echo Use the following commands for VER.DLL and SETUPKIT.DLL:
echo.
echo COPY VER.DLL      C:\USA\VER.DLL
echo COPY SETUPKIT.DLL C:\USA\SETUPKIT.DLL
echo.
echo If the VBRUN300.*** file does not have the .DL_ extension, use the 
echo appropriate unzip command.
echo.
pause
cls
echo ICON CREATION, STARTING WITH NO ICON
echo.
echo Following the use of manual commands or the TCNSTALL.BAT file, you can 
echo start the TCN program from Windows File Manager by double clicking on the 
echo TCN.EXE icon in the target directory you specified.  
echo.
echo Or you can use TCNSETUP.EXE to create the icon.  
echo.
echo When TCNSETUP.EXE prompts you for the install directory, specify the same 
echo path you used as the option for TCNSTALL.BAT.  When TCNSETUP.EXE detects 
echo the TCN program already installed there, it will offer you the option of 
echo "Create Icon Only?"  Click yes.
echo.
pause
cls
echo RUNNING TCNSTALL.BAT
echo.
echo To run TCNSTALL.BAT, you need to know two things.
echo.
echo First, be sure that the drive and directory that contains TCNSTALL.BAT
echo and all the appropriate source files is the current drive and directory. 
echo Otherwise, you get an error message instead of an installation.
echo.
echo Second, TCNSTALL.BAT requires a single option, that being the target
echo drive and path information, no trailing backslash allowed.
echo.
echo EXAMPLE, to install the TCN program on the C: drive in the USA directory,
echo use the following command:
echo.
echo.
echo TCNSTALL C:\USA      (press ENTER)
echo.
echo.
echo That's it.  Now get busy and install the TCN program so you can study the
echo Constitution and save the country!
echo.
goto end
:install
cls
echo Checking source files . . .
if not exist VBRUN300.* goto error
if not exist VER.DL_ if not exist VER.DLL goto error
if not exist SETUPKIT.DL_ if not exist SETUPKIT.DLL goto error
if not exist TCNSETUP.EX_ if not exist TCNSETUP.EXE goto error
if not exist TCN34WIN.EX_ if not exist TCN34WIN.EXE goto error
echo.
echo Installing . . .
if exist TCN34win.ex_ goto rename1
goto chk2
:rename1
echo on
RENAME TCN34WIN.EX_ TCN34WIN.EXE
@ECHO OFF
:chk2
@ECHO ON
TCN34WIN %1
RENAME TCN34WIN.EXE TCN34WIN.EX_
@echo off
IF EXIST VER.DL_ goto copy1
goto chk3
:copy1
echo on
COPY VER.DL_ %1\VER.DLL
:chk3
@echo off
IF EXIST VER.DLL goto copy2
goto chk4
:copy2
echo on
COPY VER.DLL %1\VER.DLL
:chk4
@echo off
IF EXIST SETUPKIT.DL_ goto expand2
goto chk5
:expand2
echo on
EXPAND SETUPKIT.DL_ %1\SETUPKIT.DLL
:chk5
@echo off
IF EXIST SETUPKIT.DLL goto copy3
goto chk6
:copy3
echo on
COPY SETUPKIT.DLL %1\SETUPKIT.DLL
:chk6
@echo off
if exist vbrun300.dl_ goto expand3
goto chk7
:expand3
echo on
EXPAND VBRUN300.DL_ %1\VBRUN300.DLL
:chk7
@echo off
if exist TCNSETUP.EX_ goto expand4
goto chk8
:expand4
echo on
EXPAND TCNSETUP.EX_ %1\TCNSETUP.EXE
:chk8
@echo off
if exist TCNSETUP.EXE GOTO COPY4
GOTO CHK9
:COPY4
ECHO ON
COPY TCNSETUP.EXE %1\TCNSETUP.EXE
:CHK9
@ECHO OFF
if exist %1\vbrun300.dll GOTO END
ECHO.
echo VBRUN300.DLL must be created in directory %1
goto end
:error
echo.
echo Source file error detected.
echo.
echo The following source files were not found:
echo.
if not exist VBRUN300.DL_ echo      VBRUN300.DL_
if not exist VER.DL_ if not exist VER.DLL echo      VER.DL_
if not exist SETUPKIT.DL_ if not exist SETUPKIT.DLL echo      SETUPKIT.DL_
if not exist TCNSETUP.EX_ if not exist TCNSETUP.EXE echo      TCNSETUP.EX_
if not exist TCN34WIN.EX_ if not exist TCN34WIN.EXE echo      TCN34WIN.EX_ 
echo.
echo If 5 files are listed, make the current drive and directory be the drive 
echo and directory where those files are located.  If only one or two files
echo are listed, try to get them.  
echo.
echo If VBRUN300.DL_ is the missing file and you already have VBRUN300.DLL
echo on your machine, try to manually expand or copy the other files.
echo.
echo If all else fails, order a trial copy of the TCN program from TCNbP 
echo Company, PO Box 516, Olla, LA 71465.  The price is $10.00 US.  Please 
echo contact your dealer about the problem or provide dealer contact 
echo information when ordering.
:end
